<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKUsr3CalendarViewBase from './ibizbookusr3-calendar-view-base.vue';

import view_calendar from '@widgets/ibizbook/ibizbookpanel-calendar/ibizbookpanel-calendar.vue';
// 基于 @VIEW/@MACRO/VIEW.vue.ftl 生成
@Component({
    components: {
        view_calendar, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKUsr3CalendarView extends IBIZBOOKUsr3CalendarViewBase {

}
</script>